#include<stdio.h>
main()
{
long long int n,a,c;
scanf("%lld %lld",&n,&a);
if((n / a)<3)
printf("-1");
else
{
printf("%lld 0",a);
if(((n-2*a)%2)==0)
{
printf("%lld 0",a);
n=n-2*a;
}
else
{
printf("%lld 1",a);
n=n-2*a-1;
}
if(n<(a*2-2))
{
c=n-a;
printf("%lld %lld",n,c);
}
else
{
c=n/2-1;
n=n/2+1;
printf("%lld %lld",n,c);
}
}
}